store-customers-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-19
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-customers-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-19curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-19
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-customers-get-one
Table:
- table: jef-store-customers
- operation: get-one
Payload Schema:
- pk: customer_number
Payload Example:
- pk: CUS-1001-0001
Response Schema:
- exists: boolean
- message: string
- item: {"entity_number":"string","customer_number":"string","customer_name":"string","phone":"string","email":"string","address_label":"string","address_line_1":"string","barangay":"string","city":"string","province":"string","postal_code":"string","notes":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "customer_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"entity_number\":\"string\",\"customer_number\":\"string\",\"customer_name\":\"string\",\"phone\":\"string\",\"email\":\"string\",\"address_label\":\"string\",\"address_line_1\":\"string\",\"barangay\":\"string\",\"city\":\"string\",\"province\":\"string\",\"postal_code\":\"string\",\"notes\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-get-one?pk=CUS-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-get-one?pk=CUS-1001-0001"